Pay out

Here you can create a FIAT transaction to an other FIAT account.

POST

https://api.exchangecopter.com/Transaction

import axios from 'axios';

const Transferencia = () => {
    const data = {
      cuitCredito: "receiver-taxIdNumber",
      cbuCredito: "receiver-bankAccountCBU/CVU",
      nombreCredito: "receiver-fullName",
      importe: 1000,
      idCvu:"string we provide when a CVU is created",
      documentId:"string provided by us in the onboarding",
      IdTransaccionEntidad: "a unique user transaction id " // Keep this record in order to check the status of a transaction.
    };
    const config = {
      method: 'post',
      url: 'https://api.exchangecopter.com/Transaction',
      headers: {
        'Authorization': 'Bearer YOUR_TOKEN_HERE', // Replace with the actual token
        'Content-Type': 'application/json'
      },
      data: data
    };
    try {
      const response = await axios(config);
      console.log("Transfer Success:", response.data);
    } catch (error) {
      console.error("Transfer Error:", error);
    }
};



Response

👍

Status 200

Example response

{
  data:{
  "importe": 0,
  "fechaOperacion": "2021-03-29T22:51:58.796Z",
  "idCoelsa": "string",
  "estadoDebito":"string",
  },
}

FieldDescription
idCoelsaID of the interbank system Coelsa or null.
importeTotal amount of the debit and credit movement parts, respectively.
estadoDebito -> descripcionStatus description